This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508336 - setroubleshoot: SELinux is preventing restorecon (setfiles_t) "read write" ptmx_t.
setroubleshoot: SELinux is preventing restorecon (setfiles_t) "read writ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:86ba1f19c12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 12:23 EDT by Thomas Liu
Modified: 2009-06-26 12:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 12:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Liu 2009-06-26 12:23:11 EDT
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing restorecon (setfiles_t) "read write" ptmx_t.

Detailed Description:

SELinux denied access requested by restorecon. It is not expected that this
access is required by restorecon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c102
                              3
Target Context                system_u:object_r:ptmx_t:s0
Target Objects                /dev/ptmx [ chr_file ]
Source                        restorecon
Source Path                   /sbin/setfiles
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           policycoreutils-2.0.62-12.6.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-47.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.29.4-167.fc11.i586 #1 SMP Wed May
                              27 17:14:37 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Thu 25 Jun 2009 03:14:41 PM EDT
Last Seen                     Thu 25 Jun 2009 03:14:41 PM EDT
Local ID                      2900a0e1-4bfd-4a84-9af5-c0b71c5a762c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1245957281.565:1408): avc:  denied  { read write } for  pid=26595 comm="restorecon" path="/dev/ptmx" dev=tmpfs ino=429 scontext=unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file

node=(removed) type=AVC msg=audit(1245957281.565:1408): avc:  denied  { write } for  pid=26595 comm="restorecon" path="/home/tliu/devel/policycoreutils/devel/policycoreutils-2.0.63/setfiles/.setfiles.c.swp" dev=dm-0 ino=244366 scontext=unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1245957281.565:1408): arch=40000003 syscall=11 success=yes exit=0 a0=93ae520 a1=93adf80 a2=93a9be8 a3=93adf80 items=0 ppid=23915 pid=26595 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts7 ses=1 comm="restorecon" exe="/sbin/setfiles" subj=unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= setfiles_t ==============
allow setfiles_t ptmx_t:chr_file { read write };
allow setfiles_t user_home_t:file write;

Note You need to log in before you can comment on or make changes to this bug.